build: false
shallow_clone: true
platform: 'x86'
branches:
  except:
    - gh-pages

services:
  - mysql
  - postgresql93
  - mongodb

install:
  # databases setup
  - SET PATH=C:\Program Files\MySql\MySQL Server 5.7\bin\;%PATH%
  - SET PGUSER=postgres
  - SET PGPASSWORD=Password12!
  - SET PATH=C:\Program Files\PostgreSQL\9.3\bin\;%PATH%
  # php setup
  - cinst -y OpenSSL.Light
  - SET PATH=C:\Program Files\OpenSSL;%PATH%
  - cinst -y curl
  - SET PATH=C:\Program Files\curl;%PATH%
  - cinst -y php
  - cd c:\tools\php
  - cd ext
  - appveyor DownloadFile http://windows.php.net/downloads/pecl/releases/mongodb/1.1.6/php_mongodb-1.1.6-7.0-nts-vc14-x64.zip
  - 7z x php_mongodb-1.1.6-7.0-nts-vc14-x64.zip -y >nul
  - cd ..
  - copy php.ini-production php.ini
  - echo extension_dir=ext >> php.ini
  - echo extension=php_openssl.dll >> php.ini
  - echo date.timezone="UTC" >> php.ini
  - echo extension=php_mbstring.dll >> php.ini
  - echo extension=php_curl.dll >> php.ini
  - echo extension=php_pdo_mysql.dll >> php.ini
  - echo extension=php_pdo_pgsql.dll >> php.ini
  - echo extension=php_pdo_sqlite.dll >> php.ini
  - echo extension=php_pgsql.dll >> php.ini
  - echo extension=php_mongodb.dll >> php.ini
  - SET PATH=C:\tools\php;%PATH%
  - cd %APPVEYOR_BUILD_FOLDER%
  - php -r "readfile('http://getcomposer.org/installer');" | php
  - php composer.phar install --prefer-dist -n --no-ansi

before_test:
  - createdb codeception_test
  - mysql -uroot -pPassword12! -e "CREATE DATABASE codeception_test"

test_script:
  - php codecept run cli --no-colors -n --skip-group coverage
  - php codecept run unit -g core -g appveyor --no-colors -n